tech-pkg archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

mail/heirloom-mailx does not build with recent openssl

In particular, NetBSD -current is affected. The problem is fixed
in upstream CVS. The following are the relevant diffs:

To the same patchset belong


The latter just changes the ChangeLog, which does not get installed
and may thus be omitted. The former changes some version strings
based on dates, and it is not clear to me whether to include these,
as they might be misleading if not the entire distribution is
patched to the same level.

Also, I could not easily determine what the current policy on patch
files is, that is, whether to put semantically related patches into
the same file, thus I did not produce patches myself. I hope someone
will find the above URLs convenient enough to commit a fix to


Dennis den Brok

Home | Main Index | Thread Index | Old Index